Edit Possible Task
This endpoint allows an admin user to edit an existing possible task.
AuthorizationBearer <token>
Authorization header using the Bearer scheme. Example: "Bearer {token}"
In: header
Query Parameters
TaskId?string
The ID of the task to be edited, which must not be empty.
Format
uuidDescription?string
The new description of the task, which must not be empty and cannot exceed 500 characters.
ShortDescription?string
The new short description of the task, which must not be empty and cannot exceed 50 characters.
Points?integer
The new point value of the task, which must be greater than zero and not exceed 100.
Format
int32IsActive?boolean
A boolean indicating whether the task is active or not.
MaxPerPeriod?integer
An optional parameter specifying the maximum number of tasks that can be completed per period. If not provided, it defaults to null.
Format
int32Response Body
curl -X PUT "https://loading/PossibleTask/EditPossibleTask"{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"description": "string",
"shortDescription": "string",
"points": 1,
"isActive": true,
"maxPerPeriod": 0
}Empty
Empty
Empty
Empty